Modify

Opened 7 years ago

Closed 5 years ago

#2295 closed defect (wontfix)

TypeError: a float is required

Reported by: albertlash Owned by: datenimperator
Priority: normal Component: GoogleSitemapPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.10

Description

This plugin throws this error with the latest checkout of trac:

TypeError: a float is required

Most recent call last:

  • File "/var/www/lib/python2.4/Trac-0.11dev_r6265-py2.4.egg/trac/web/main.py", line 398, in _dispatch_request Code fragment:
    1. try:
    2. if not env and env_error:
    3. raise HTTPInternalError(env_error)
    4. try:
    5. dispatcher = RequestDispatcher(env)
    6. dispatcher.dispatch(req)
    7. except RequestDone:
    8. pass
    9. resp = req._response or []
    10. except HTTPException, e:
    Local variables: Name Value after [' except RequestDone:', ' pass', ' resp = ... before [' try:', ' if not env and env_error:', ' raise ... dispatcher <trac.web.main.RequestDispatcher object at 0xb61af6ac> e <exceptions.TypeError instance at 0x896522c> env <trac.env.Environment object at 0xb61ef2cc> env_error None exc_info (<class exceptions.TypeError at 0xb7dd82fc>, <exceptions.TypeError ... filename '/var/www/lib/python2.4/Trac-0.11dev_r6265-py2.4.egg/trac/web/main.py' frames [{'function': '_dispatch_request', 'lines_before': [' try:', ' ... has_admin True line ' dispatcher.dispatch(req)' lineno 397 message u'TypeError: a float is required' req <Request "GET u'/sitemap.xml'"> resp [] tb <traceback object at 0x8963734> tb_hide None traceback 'Traceback (most recent call last):\n File ...
  • File "/var/www/lib/python2.4/Trac-0.11dev_r6265-py2.4.egg/trac/web/main.py", line 195, in dispatch Code fragment:
    1. req.args.get('FORM_TOKEN') != req.form_token:
    2. raise HTTPBadRequest('Missing or invalid form token. '
    3. 'Do you have cookies enabled?')
    4. # Process the request and render the template
    5. resp = chosen_handler.process_request(req)
    6. if resp:
    7. if len(resp) == 2: # Clearsilver
    8. chrome.populate_hdf(req)
    9. template, content_type = \
    10. self._post_process_request(req, *resp)
    Local variables: Name Value chosen_handler <sitemap.api.SitemapController object at 0xb611146c> chrome <trac.web.chrome.Chrome object at 0xb63661cc> err (<class exceptions.TypeError at 0xb7dd82fc>, <exceptions.TypeError ... handler <sitemap.api.SitemapController object at 0xb611146c> req <Request "GET u'/sitemap.xml'"> self <trac.web.main.RequestDispatcher object at 0xb61af6ac>
  • File "build/bdist.linux-i686/egg/sitemap/api.py", line 144, in process_request Local variables: Name Value c <sitemap.wiki.WikiData object at 0xb61113ac> doc <xml.dom.minidom.Document instance at 0x896292c> ns <xml.dom.minidom.Attr instance at 0x896576c> req <Request "GET u'/sitemap.xml'"> self <sitemap.api.SitemapController object at 0xb611146c> sl <xml.dom.minidom.Attr instance at 0x896580c> urlset <DOM Element: urlset at 0x896570c> xns <xml.dom.minidom.Attr instance at 0x89652ec>
  • File "build/bdist.linux-i686/egg/sitemap/wiki.py", line 68, in get_data

Attachments (0)

Change History (2)

comment:1 Changed 7 years ago by anonymous

I have the same problem with trac 0.11b1

comment:2 Changed 5 years ago by martin_s

  • Resolution set to wontfix
  • Status changed from new to closed

The version for 0.10 is abandoned. Please use the new version written for 0.11.

Add Comment

Modify Ticket

Action
as closed The owner will remain datenimperator.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.